#ifndef SETBG_HPP_INCLUDED
#define SETBG_HPP_INCLUDED
/*
    wmimagedock

  Copyright (c) 2018 Michael Heras

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02111-1307,
  USA.
*/
void setBG();
void setBG(std::string fn);
void setBGTile();
void setBGTile(std::string fn);
double get_aspect(int x, int screenH);
int get_adjusted_by_aspect(double aspect, int x);

#endif // SETBG_HPP_INCLUDED
